Page MenuHomeFreeBSD

libcompiler_rt: Update Makefile for arm64 (part 1)
ClosedPublic

Authored by emaste on Mar 27 2015, 7:18 PM.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

emaste updated this revision to Diff 4469.Mar 27 2015, 7:18 PM
emaste retitled this revision from to libcompiler_rt: Update Makefile for arm64.
emaste updated this object.
emaste edited the test plan for this revision. (Show Details)
emaste added reviewers: andrew, dim.
emaste added a subscriber: imp.
emaste added inline comments.
lib/libcompiler_rt/Makefile
202–203 ↗(On Diff #4469)

these first two already appear in SRCF above

emaste added inline comments.Mar 27 2015, 11:54 PM
lib/libcompiler_rt/Makefile
198–210 ↗(On Diff #4469)

Discussed with @dim on IRC; this whole section is probably incorrect.
These implement PPC's "double double" long double support.

emaste added inline comments.Mar 28 2015, 4:52 PM
lib/libcompiler_rt/Makefile
40 ↗(On Diff #4469)
// // This file implements the following soft-float comparison routines:      
//
//   __eqtf2   __getf2   __unordtf2
//   __letf2   __gttf2
//   __lttf2
//   __netf2
54 ↗(On Diff #4469)

//===-- lib/extenddftf2.c - double -> quad conversion -------------*- C -*-===//

55 ↗(On Diff #4469)

//===-- lib/extendsftf2.c - single -> quad conversion -------------*- C -*-===//

133 ↗(On Diff #4469)

//===-- lib/truncdfsf2.c - quad -> double conversion --------------*- C -*-===//

134 ↗(On Diff #4469)

//===-- lib/trunctfsf2.c - quad -> single conversion --------------*- C -*-===//

156 ↗(On Diff #4469)

//===-- lib/floatsitf.c - integer -> quad-precision conversion ----*- C -*-===//

emaste added inline comments.Mar 30 2015, 12:12 AM
lib/libcompiler_rt/Makefile
156 ↗(On Diff #4469)

This should move the common case above I think: it is not provided by libc.a on arm/mips AFAICT

emaste updated this revision to Diff 4507.Mar 30 2015, 1:13 PM
emaste retitled this revision from libcompiler_rt: Update Makefile for arm64 to libcompiler_rt: Update Makefile for arm64 (part 1).
  • move floatsitf to common list: it is not provided by libc.a on arm/mips
  • remove use of PPC's long double "double double" functions - this will need to be fixed by new functionality implemented in compiler-rt
emaste added a subscriber: ed.Mar 30 2015, 1:50 PM

Missing functionality in these reviews:
D2173 multc3
D2174 floatditf, floatunditf

emaste closed this revision.Mar 30 2015, 2:29 PM
emaste updated this revision to Diff 4510.

Closed by commit rS280853 (authored by @emaste).